Bug 79188 - Custom icon added to button in toolbar with incorrect size
Summary: Custom icon added to button in toolbar with incorrect size
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.6.7.2 release
Hardware: All Linux (All)
: lowest trivial
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: needsDevEval
Depends on:
Blocks: Toolbars Customize-Dialog-Toolbars
  Show dependency treegraph
 
Reported: 2014-05-24 17:30 UTC by Yousuf Philips (jay) (retired)
Modified: 2019-06-09 12:21 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
shows how the icon looks when your choosing it and how it appears in the toolbar (80.30 KB, image/jpeg)
2014-05-24 17:30 UTC, Yousuf Philips (jay) (retired)
Details
Screenshot IconSize.png (17.18 KB, image/png)
2014-05-24 18:02 UTC, pierre-yves samyn
Details
tried it with the sifr icon set after reseting the .config profile (67.28 KB, image/jpeg)
2014-05-25 05:09 UTC, Yousuf Philips (jay) (retired)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2014-05-24 17:30:38 UTC
Created attachment 99730 [details]
shows how the icon looks when your choosing it and how it appears in the toolbar

1. Customize a toolbar through 'View > Toolbars > Customize...'
2. Click 'Add..' button in toolbars tab
3. Add an entry without an icon like 'Save a Copy'
4. Click 'Modify > Change Icon...' on the icon-less entry
5. Select an icon
6. Icon appears half the size in the toolbar

Testing in Linux Mint on the latest releases of 3.6 - 4.2 and 4.3 beta.
Comment 1 pierre-yves samyn 2014-05-24 18:01:31 UTC
Hello

I do not reproduce on windows 7/64 with 
Version: 4.2.4.2
Build ID: 63150712c6d317d27ce2db16eb94c2f3d7b699f8
Version: 4.3.0.0.beta1
Build ID: 2e39c7e59c8fc8b16a54c3d981dceef27fb0c07f

see IconSize.png attached screenshot

I think we can reduce OS to Linux


Regards
Pierre-Yves
Comment 2 pierre-yves samyn 2014-05-24 18:02:15 UTC
Created attachment 99732 [details]
Screenshot IconSize.png
Comment 3 Yousuf Philips (jay) (retired) 2014-05-25 05:09:42 UTC
Created attachment 99753 [details]
tried it with the sifr icon set after reseting the .config profile
Comment 4 Yousuf Philips (jay) (retired) 2014-05-25 05:10:48 UTC
tested in windows xp sp3 and it doesnt have the problem, so likely limited to linux, but maybe its in os as well.
Comment 5 Joel Madero 2014-05-25 05:15:32 UTC
Confirmed - make sure to follow instructions provided - if you do them exactly as stated you see the bug (I didn't the first time because I didn't follow the given instructions)

Ubuntu 14.04
LibreOffice 4.3 beta 1


New - confirmed
Trivial - not affecting anything at all but none the less a bug
Lowest - really not a big deal, likely not going to affect anyone :-D

ProposedEasyHack (NeedsDevEval)
Comment 6 Yousuf Philips (jay) (retired) 2014-05-25 05:38:09 UTC
(In reply to comment #5)
> Lowest - really not a big deal, likely not going to affect anyone :-D

I guess nobody customizes their toolbar in linux then. :D
Comment 7 Joel Madero 2014-05-25 07:51:37 UTC
lol no - just this doesn't prevent them from doing so ;) Just an aesthetic thing :-D
Comment 8 Robinson Tryon (qubit) 2015-12-13 11:21:17 UTC Comment hidden (obsolete)
Comment 9 QA Administrators 2017-01-03 19:47:22 UTC Comment hidden (obsolete)
Comment 10 Yousuf Philips (jay) (retired) 2017-09-30 19:33:59 UTC
Large icons no longer show up in the toolbar due to bug 106784, so now the text of the function will be displayed in the toolbar if you use large icons.

Version: 6.0.0.0.alpha0+
Build ID: 13df3777e4b6ff7537692b396be67a5fd2b9b001
CPU threads: 2; OS: Linux 4.4; UI render: default; VCL: gtk2; 
Locale: en-US (en_US.UTF-8); Calc: group
Comment 11 QA Administrators 2018-10-01 02:52:45 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug